import { IHotelColorScheme } from '@roomstay/core';
import { Company } from '../../../models/Client/Hotel/Company';
import Step from '../Step';
import StepHotelValidator from './StepHotelValidator';
declare class StepHotel extends Step {
    constructor();
    getComponent(): () => import("react").JSX.Element;
    getValidator(): StepHotelValidator;
    getStepTranslation(): string;
    getColorProfile(company: Company): IHotelColorScheme;
}
declare const _default: StepHotel;
export default _default;
